gnutls_anon_allocate_client_credentials(3)

NAME
gnutls_anon_allocate_client_credentials - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_anon_allocate_client_credentials(gnutls_anon_client_credentials_t * sc);

ARGUMENTS

gnutls_anon_client_credentials_t *       sc
    is a pointer to a gnutls_anon_client_credentials_t structure.

DESCRIPTION
This structure is complex enough to manipulate directly thus this helper function is provided in order to allocate it.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.